/* -*-C-*-
+======================================================================
|
|    This source code is public domain, and may be freely distributed,
|    modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO
|    WARRANTY OF ANY KIND.
|
| FILE:		DayPerl2.i
| AUTHOR:	Craig A. James
| DESCRIPTION:
|	Swig interface for Daylight's Toolkits.
+======================================================================
*/

%module DayPerl2

%include "./typemaps.i"

%header %{
#include <dt_mdep.h>
#include <dt_smiles.h>
#include <dt_depict.h>
#include <dt_smarts.h>
#include <dt_smiles.h>
#include <dt_finger.h>
#include <dt_thor.h>
#include <dt_merlin.h>
#include <dt_monomer.h>
#include <dt_progob.h>
#include "libdl/dl_gd.h"
%}

%include "dt_mdep.h"
%include "dt_smiles.h"
%include "dt_depict.h"
%include "dt_smarts.h"
%include "dt_finger.h"
%include "dt_thor.h"
%include "dt_merlin.h"
%include "dt_monomer.h"
%include "dt_progob.h"
%include "libdl/dl_gd.h"
