#!/usr/bin/perl
#======================================================================
#    This source code is public domain, and may be freely distributed,
#    modified, and used for any purpose.  IT COMES WITH ABSOLUTELY NO
#    WARRANTY OF ANY KIND.
#======================================================================
# FILE:		cansmi.pl
# AUTHOR:	Craig A. James
# DESCRIPTION:
#	Trivial test program: Reads SMILES, canonicalizes, prints.
#======================================================================

use strict;
use DayPerl2;

while (my $smiles = <>) {	# read SMILES from standard input
    chomp $smiles;		# get rid of trailing newline
    my $mol = dt_smilin($smiles);
    my $cansmi = dt_cansmiles($mol, 1);
    dt_dealloc($mol);
    print $cansmi, "\n";
}
